Subject: [#186] Negotiation strings

From: Martin Thomson <[email-masked]>
Date: Sat, 3 Aug 2013 10:01:35 +0200

https://github.com/http2/http2-spec/issues/186

I think that we have a problem.  Or two.  But these are not problems
with HTTP/2.0.

Firstly, ALPN shouldn't be telling HTTP/2.0 how to identify itself.
Creating a registry for strings is good, but the current set of
entries don't match what is used.

Secondly, ALPN is ignoring the advice in RFC 6648 with respect to its
"exp-" construct.

I'll contact the ALPN authors and see if we can address these issues.
Hopefully, I can turn this into an editorial issue that deals with the
registration of the HTTP/2.0 identifier.